Page MenuHomePhabricator

Rename "Export to Excel" to "Export to Spreadsheet"
Closed, WontfixPublic

Description

Upstreaming from http://fab.wmflabs.org/T421

On https://secure.phabricator.com/maniphest/query/authored under "Batch Task Editor" there is an "Export to Excel" button.

Some users might not have the Excel application installed but should still be able to handle "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" / Excel2007 files via other applications (e.g. LibreOffice), hence proposing to rephrase.

  • src/applications/maniphest/view/ManiphestTaskResultListView.php
  • src/applications/maniphest/controller/ManiphestExportController.php

Related Objects

Event Timeline

aklapper created this task.Aug 19 2014, 2:24 PM
aklapper raised the priority of this task from to Wishlist.
aklapper updated the task description. (Show Details)
aklapper moved this task from Backlog to Details on the Wikimedia board.
aklapper added a subscriber: aklapper.
epriestley closed this task as Wontfix.Aug 19 2014, 3:40 PM
epriestley claimed this task.

I would guess that most users of OpenOffice know that they can open Excel spreadsheets, but suspect not all users of Excel would recognize "Export to Spreadsheet" as quickly. From the WMF ticket, it doesn't look like there was any confusion about what the button does.

Since the format the button exports to is Excel format, I think "Export to Excel" is most clear.

We could support other formats (like CSV) in the future, but there haven't been any requests to do so. If you had an option to select a format after clicking the button, relabeling it to "Export to Spreadsheet" would be reasonable. The current export was driven by a request for Excel specifically, and uses some features which are not available in CSV (like formatting).

Sounds very reasonible. Thanks for explaining!

I would guess that most users of OpenOffice know that they can open Excel spreadsheets,

I don't. In fact, I have no idea what an "Excel spreadsheet" is.

Are you sincerely unfamiliar with Microsoft's Excel spreadsheet program?

I know what Excel is; but I'm not aware of a definition for the "Excel spreadsheet" term. Any format that Excel can write? read? The Excel flavour of CSV? xls, xlsx, xlsm?
If you know a definition, it would be a useful addition to https://en.wikipedia.org/wiki/Microsoft_Excel#File_formats

From my perspective, it feels like you perfectly understood what I meant (and OpenOffice can open all of CSV, xls, xlsx, and xlsm, so the distinction does not seem to be a meaningful one), but made a snide comment anyway. I'm not sure what you hoped to gain by doing this.

Generally, you gain nothing by interacting with this upstream in a demeaning way like this. This kind of interaction just frustrates us and wastes our time. You will never get your way with this upstream by being a jerk: we have zero reason to help technically correct jerks over the large number of users who behave like adults.

Even if I had made an error or the message was legitimately unclear, your tone would not be an appropriate way to respond.

If you want to continue interacting with the upstream, behave respectfully. If you want to bash us, that's fine too -- just do it on Twitter or a personal blog. We won't tolerate it here.

Krenair removed a subscriber: Krenair.Dec 2 2014, 7:50 PM
Krenair added a subscriber: Krenair.
Krenair removed a subscriber: Krenair.Dec 2 2014, 7:58 PM
Krenair added a subscriber: Krenair.
KK added a subscriber: KK.Nov 20 2015, 7:13 PM

Hi, when I export data from Phabricator to Excel it doesn't show all data from the the field "Description".
It shows only partial information and than it ends with tree dots.
Can I change that somehow?
Thanks

In T5908#145115, @KK wrote:

Hi, when I export data from Phabricator to Excel it doesn't show all data from the the field "Description".
It shows only partial information and than it ends with tree dots.
Can I change that somehow?
Thanks

Hi. I have the same problem and question:) Is there some workaround? Thanks a lot.

chad added a subscriber: chad.Nov 21 2015, 11:45 PM

See Contributing Bug Reports. Mainly, contributing comments to an unrelated task will not likely get a bug verified or fixed.

qgil removed a subscriber: qgil.Nov 23 2015, 9:18 AM